Issues with loading in Coco Engine object following

Hello everyone,

I’m trying to train a jetbot, when running the live_demo.ipynb inside the object_following folder:

from jetbot import ObjectDetector

model = ObjectDetector(‘ssd_mobilenet_v2_coco.engine’)

Then I get the following error:

AttributeErrorTraceback (most recent call last)
in
1 from jetbot import ObjectDetector
2
----> 3 model = ObjectDetector(‘ssd_mobilenet_v2_coco.engine’)

/usr/local/lib/python3.6/dist-packages/jetbot-0.4.3-py3.6.egg/jetbot/object_detection.py in init(self, engine_path, preprocess_fn)
27 load_plugins()
28 self.trt_model = TRTModel(engine_path, input_names=[TRT_INPUT_NAME],
—> 29 output_names=[TRT_OUTPUT_NAME, TRT_OUTPUT_NAME + ‘_1’])
30 self.preprocess_fn = preprocess_fn
31

/usr/local/lib/python3.6/dist-packages/jetbot-0.4.3-py3.6.egg/jetbot/tensorrt_model.py in init(self, engine_path, input_names, output_names, final_shapes)
57 with open(engine_path, ‘rb’) as f:
58 self.engine = self.runtime.deserialize_cuda_engine(f.read())
—> 59 self.context = self.engine.create_execution_context()
60
61 if input_names is None:

AttributeError: ‘NoneType’ object has no attribute ‘create_execution_context’

Does anyone know what I have to do regarding the situation?
I have already looked at the most common solution on this forum, reinstalling the packages ect

Thanks in advance!

Hi,

Which JetPack version do you use?
Please note that the GitHub is tested with JetPack 4.5.

Thanks.

I have the JP 4.5

Hi,

Sorry for the late update.

The model doesn’t work with the newer JetPack.
Please use JetPack 4.3 instead.

You can find more info in the below link:

Thanks.

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.